import { defineComponent as a, createElementBlock as r, openBlock as s, normalizeClass as o, renderSlot as t } from "vue";
const d = /* @__PURE__ */ a({
  __name: "CardContent",
  props: {
    muted: { type: Boolean },
    contrast: { type: Boolean },
    frameless: { type: Boolean },
    transparent: { type: Boolean },
    borderless: { type: Boolean }
  },
  setup(n) {
    return (e, l) => (s(), r("div", {
      class: o(["scalar-card-content", {
        "scalar-card--muted": e.muted,
        "scalar-card--contrast": e.contrast,
        "scalar-card--frameless": e.frameless,
        "scalar-card--transparent": e.transparent,
        "scalar-card--borderless": e.borderless
      }])
    }, [
      t(e.$slots, "default", {}, void 0, !0)
    ], 2));
  }
});
export {
  d as default
};
